intro_wait=40
intro_step=0

function intro_init()
    _update = intro_intro
    intro_wait=400
    cls(16)
    setdest(logo)
    cls(16)
    prnt("JAILGAMES",0,0,15)
    setdest(0)
    setsource(logo)
    sspr(0,0,36,5,28,35,72,10)
    setsource(tiles)
    fade.fadein()
end

function intro_intro()
    --text("JAILGAMES",40,30,15)
    text("presenta",48,50,14)
    intro_wait=intro_wait-1
    if intro_wait==0 or btnp(KEY_ESCAPE) or btnp(KEY_SPACE) then
        intro_wait=1
        _update = intro_update
        fade.fadeoutin()
    end
    if btnp(KEY_M) then
        mute = not mute
    end
end

function intro_update()
    if btnp(KEY_ESCAPE) then
        game_init(true)
        fade.fadeoutin()
    elseif btnp(KEY_SPACE) then
        intro_wait=1
    elseif btnp(KEY_M) then
        mute = not mute
    end

    intro_wait=intro_wait-1
    if intro_wait==0 then
        if intro_step==0 then
            cls(16)
            rect(15,3,113,53,2)
            camera(-16,-4)
            mapa_draw(10)
            rectfill(73,24,79,39,16)
            sspr(0,0,16,16,44,24,16,16,true)
            camera(0,0)
            intro_step=intro_step+1
        elseif intro_step==1 then
            start_scene(scenes.intro_01,58)
            intro_step=intro_step+1
        elseif intro_step==2 then
            cls(16)
            rect(15,3,113,53,2)
            camera(-16,-4)
            mapa_draw(10)
            rectfill(73,24,79,39,16)
            sspr(0,0,16,16,44,24,16,16,false)
            camera(0,0)
            intro_step=intro_step+1
        elseif intro_step==3 then
            start_scene(scenes.intro_02,58)
            intro_step=intro_step+1
        elseif intro_step==4 then
            cls(16)
            rect(15,3,113,53,2)
            camera(-16,-4)
            mapa_draw(10)
            rectfill(73,24,79,39,16)
            sspr(0,0,16,16,44,24,16,16,false)
            sspr(112,88,16,8,76,32,16,8,true)
            sspr(0,48,16,16,82,24,16,16,true)
            camera(0,0)
            intro_step=intro_step+1
        elseif intro_step==5 then
            start_scene(scenes.intro_03,58)
            intro_step=intro_step+1
        elseif intro_step==6 then
            cls(16)
            rect(15,3,113,53,2)
            camera(-16,-4)
            mapa_draw(10)
            rectfill(73,24,79,39,16)
            sspr(0,0,16,16,44,24,16,16,false)
            camera(0,0)
            intro_step=intro_step+1
        elseif intro_step==7 then
            start_scene(scenes.intro_04,58)
            intro_step=intro_step+1
        elseif intro_step==8 then
            playmus(audio_main_song)
            game_init(true)
            fade.fadeoutin()
        end
        intro_wait=50
    end
end